当前位置: 首页>>代码示例>>C#>>正文


C# Autodesk.get_BoundingBox方法代码示例

本文整理汇总了C#中Autodesk.get_BoundingBox方法的典型用法代码示例。如果您正苦于以下问题:C# Autodesk.get_BoundingBox方法的具体用法?C# Autodesk.get_BoundingBox怎么用?C# Autodesk.get_BoundingBox使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在Autodesk的用法示例。


在下文中一共展示了Autodesk.get_BoundingBox方法的2个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。

示例1: DoorGeometry

        /// <summary>
        /// construct function.
        /// </summary>
        /// <param name="door">of which geometry data is wanted.</param>
        public DoorGeometry(Autodesk.Revit.DB.Element door)
        {
            m_options                              = new Options();
             m_options.View                         = GetPlanform2DView(door);
             m_options.ComputeReferences            = false;
             Autodesk.Revit.DB.GeometryElement geoEle = door.get_Geometry(m_options);
             AddGeometryElement(geoEle);

             m_bbox = door.get_BoundingBox(m_options.View);
        }
开发者ID:AMEE,项目名称:revit,代码行数:14,代码来源:DoorFamilyGeometry.cs

示例2: ExtractGeom

 /// <summary>
 /// Extract the geometry of the given Element.
 /// </summary>
 /// <param name="elem">Element parameter</param>
 /// <returns>Element's geometry</returns>
 protected ElementGeometry ExtractGeom(Autodesk.Revit.DB.Element elem)
 {
     Solid result = null;
     Options options = new Options();
     options.ComputeReferences = true;
     Autodesk.Revit.DB.GeometryElement gElement = elem.get_Geometry(options);
     foreach (GeometryObject gObj in gElement.Objects)
     {
         result = gObj as Solid;
         if (result != null && result.Faces.Size > 0)
             break;
     }
     BoundingBoxXYZ box = elem.get_BoundingBox(null);
     return new ElementGeometry(result, box);
 }
开发者ID:AMEE,项目名称:revit,代码行数:20,代码来源:HostedSweepCreator.cs


注:本文中的Autodesk.get_BoundingBox方法示例由纯净天空整理自Github/MSDocs等开源代码及文档管理平台,相关代码片段筛选自各路编程大神贡献的开源项目,源码版权归原作者所有,传播和使用请参考对应项目的License;未经允许,请勿转载。